
in vec4 vaColor;    // Replaces gl_Color
in vec3 vaPosition; // Replaces gl_Vertex

out vec4 color;

#define diagonal3(m) vec3((m)[0].x, (m)[1].y, (m)[2].z)
#define projMAD(m, v) (diagonal3(m) * (v) + (m)[3].xyz)

void main()
{
    float skysize = 1.0;

#if CLOUD_QUALITY == 3
    skysize = 1.0;
#endif

#if CLOUD_QUALITY == 2
    skysize = 0.75;
#endif

#if CLOUD_QUALITY == 1
    skysize = 0.5;
#endif

    color = vaColor;

    vec4 viewPos = gl_ModelViewMatrix * gl_Vertex;
    gl_Position = taaFunc(vec4(diagonal3(gl_ProjectionMatrix) * viewPos.xyz + gl_ProjectionMatrix[3].xyz, -viewPos.z));

#ifdef IS_IRIS
    gl_Position.xy = gl_Position.xy * skysize + skysize * gl_Position.w - gl_Position.w;
#endif
}
