

varying vec4 color;
varying float NdotL;

flat varying vec3 torch;
varying vec3 viewVector;
varying vec2 lmtexcoord;

float gbf(in vec3 eyePlayerPos, in float far)
{
    float distXZ = length((vec3(eyePlayerPos.x, 0.0, eyePlayerPos.z)).xyz);
    float distY = length((vec3(0.0, eyePlayerPos.y, 0.0)).xyz);
    float eyeDist = max(distXZ, distY);

    float borderFogFactor = smoothstep(far , far * 2.2, eyeDist);
    borderFogFactor *= borderFogFactor;

    return 1 - borderFogFactor;

#endif
}

/* DRAWBUFFERS:1*/
void main()
{
    vec3 p3 = mat3(gbufferModelViewInverse) * viewVector + gbufferModelViewInverse[3].xyz;

    vec4 color = texture(texture, lmtexcoord.xy) * color;
    color.rgb = toLinear(color.rgb) * (sunLight * max(NdotL, 0.5) + atmosphereUp);
    color.a *= (gbf(p3, far)) * 0.5;
    gl_FragData[0] = color;
}
